> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice overview

> Fetch the invoice overview of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoice/overview
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoice/overview:
    get:
      tags:
        - Invoices
      summary: Get invoice overview
      description: Fetch the invoice overview of the specified vehicle
      operationId: getInvoiceOverview
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: The two-letter country code of the asset provider
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: The three-character code of the asset provider
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
      responses:
        '200':
          description: Invoice overview
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceOverview'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    InvoiceOverview:
      type: object
      required:
        - dateOfCommissioning
        - mileageAtCommissioning
        - mileagePerYear
        - energyExpenses
        - energyExpensesCalculatedAutomatically
        - maintenance
        - maintenanceCalculatedAutomatically
        - inspection
        - inspectionCalculatedAutomatically
        - tireSets
        - tireSetsCalculatedAutomatically
        - excessMileage
        - excessMileageCalculatedAutomatically
        - vehicleDeprecation
        - parking
        - parkingCalculatedAutomatically
        - insurance
        - insuranceCalculatedAutomatically
        - registration
        - registrationCalculatedAutomatically
        - administration
        - administrationCalculatedAutomatically
        - carbonFootprintTaxes
        - carbonFootprintTaxesCalculatedAutomatically
        - vehiclePurchase
      properties:
        dateOfCommissioning:
          type: string
          format: date
        mileageAtCommissioning:
          type: integer
          description: Mileage the vehicle already had at the date of commissioning (km)
        mileagePerYear:
          type: integer
          example: 14345
          description: In kilometers
        energyExpenses:
          type: integer
          format: int64
          description: Energy expenses net cost (cents)
        energyExpensesCalculatedAutomatically:
          type: boolean
          description: Whether energy expenses were calculated automatically
        maintenance:
          type: integer
          format: int64
          description: Maintenance net cost (cents)
        maintenanceCalculatedAutomatically:
          type: boolean
          description: Whether maintenance was calculated automatically
        inspection:
          type: integer
          format: int64
          description: Inspection net cost (cents)
        inspectionCalculatedAutomatically:
          type: boolean
          description: Whether inspection was calculated automatically
        tireSets:
          type: integer
          format: int64
          description: Tire sets net cost (cents)
        tireSetsCalculatedAutomatically:
          type: boolean
          description: Whether tire sets were calculated automatically
        excessMileage:
          type: integer
          format: int64
          description: Excess mileage net cost (cents)
        excessMileageCalculatedAutomatically:
          type: boolean
          description: Whether excess mileage was calculated automatically
        vehicleDeprecation:
          type: integer
          format: int64
          description: Vehicle depreciation net cost (cents)
        parking:
          type: integer
          format: int64
          description: Parking net cost (cents)
        parkingCalculatedAutomatically:
          type: boolean
          description: Whether parking was calculated automatically
        insurance:
          type: integer
          format: int64
          description: Insurance net cost (cents)
        insuranceCalculatedAutomatically:
          type: boolean
          description: Whether insurance was calculated automatically
        registration:
          type: integer
          format: int64
          description: Registration fees net cost (cents)
        registrationCalculatedAutomatically:
          type: boolean
          description: Whether registration fees were calculated automatically
        administration:
          type: integer
          format: int64
          description: Administration net cost (cents)
        administrationCalculatedAutomatically:
          type: boolean
          description: Whether administration was calculated automatically
        carbonFootprintTaxes:
          type: integer
          format: int64
          description: Carbon footprint tax net cost (cents)
        carbonFootprintTaxesCalculatedAutomatically:
          type: boolean
          description: Whether carbon footprint tax was calculated automatically
        vehiclePurchase:
          type: integer
          format: int64
          description: Vehicle purchase net cost (cents)
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````